package com.ruoyi.basic.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 语言信息对象 hw_language
 * 
 * @author xins
 * @date 2023-08-24
 */
public class HwLanguage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 语言ID */
    private Long languageId;

    /** 语言编码（例如，zh_CN） */
    @Excel(name = "语言编码", readConverterExp = "例=如，zh_CN")
    private String languageCode;

    /** 语言名称 */
    @Excel(name = "语言名称")
    private String languageName;

    /** 语言代码 */
    @Excel(name = "语言代码")
    private String languageLang;

    /** 语言国家 */
    @Excel(name = "语言国家")
    private String languageCountry;

    /** 是否默认（1、正常 0、否） */
    @Excel(name = "是否默认", readConverterExp = "1=、正常,0=、否")
    private String defaultFlag;

    public void setLanguageId(Long languageId) 
    {
        this.languageId = languageId;
    }

    public Long getLanguageId() 
    {
        return languageId;
    }
    public void setLanguageCode(String languageCode) 
    {
        this.languageCode = languageCode;
    }

    public String getLanguageCode() 
    {
        return languageCode;
    }
    public void setLanguageName(String languageName) 
    {
        this.languageName = languageName;
    }

    public String getLanguageName() 
    {
        return languageName;
    }
    public void setLanguageLang(String languageLang) 
    {
        this.languageLang = languageLang;
    }

    public String getLanguageLang() 
    {
        return languageLang;
    }
    public void setLanguageCountry(String languageCountry) 
    {
        this.languageCountry = languageCountry;
    }

    public String getLanguageCountry() 
    {
        return languageCountry;
    }
    public void setDefaultFlag(String defaultFlag) 
    {
        this.defaultFlag = defaultFlag;
    }

    public String getDefaultFlag() 
    {
        return defaultFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("languageId", getLanguageId())
            .append("languageCode", getLanguageCode())
            .append("languageName", getLanguageName())
            .append("languageLang", getLanguageLang())
            .append("languageCountry", getLanguageCountry())
            .append("defaultFlag", getDefaultFlag())
            .toString();
    }
}
